package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.LogSystem;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 系统日志服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 10:36
 * @Modify :
 **/
public interface ILogSystemService {

    @ApiOperation(value = "添加系统日志",notes = "添加系统日志")
    void insertLogSystem(LogSystem logSystem);

    @ApiOperation(value = "删除日志",notes = "删除日志")
    void deleteLogSystemById(String id);

    @ApiOperation(value = "查询全部日志",notes = "查询全部日志")
    List<LogSystem> listLogSystem();

    @ApiOperation(value = "根据id查询系统日志",notes = "根据id查询系统日志")
    LogSystem getLogSystemById(long id);

    @ApiOperation(value = "系统日志分页复杂查询",notes = "系统日志分页复杂查询")
    ListPager queryLogSystemByPager(LogSystem logSystem, Pager pager);
}
